curl --request POST \
--url https://app.apigene.ai/api/gpt/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"index_name": "<string>",
"genai_app": "<string>",
"summary": "<string>",
"description": "<string>",
"apis": [
"<string>"
],
"created_by": "<string>",
"icon": "<string>",
"instructions": "<string>",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"appstore": [],
"categories": [
"Other"
],
"keywords": [
"<string>"
],
"partner_url": "<string>",
"config": {
"gpt_type": "private",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"is_installed": false
}
}
'import requests
url = "https://app.apigene.ai/api/gpt/create"
payload = {
"index_name": "<string>",
"genai_app": "<string>",
"summary": "<string>",
"description": "<string>",
"apis": ["<string>"],
"created_by": "<string>",
"icon": "<string>",
"instructions": "<string>",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"appstore": [],
"categories": ["Other"],
"keywords": ["<string>"],
"partner_url": "<string>",
"config": {
"gpt_type": "private",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"is_installed": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
index_name: '<string>',
genai_app: '<string>',
summary: '<string>',
description: '<string>',
apis: ['<string>'],
created_by: '<string>',
icon: '<string>',
instructions: '<string>',
gpt_url: [{appstore: '<string>', url: '<string>'}],
appstore: [],
categories: ['Other'],
keywords: ['<string>'],
partner_url: '<string>',
config: {
gpt_type: 'private',
gpt_url: [{appstore: '<string>', url: '<string>'}],
is_installed: false
}
})
};
fetch('https://app.apigene.ai/api/gpt/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"index_name": "<string>",
"genai_app": "<string>",
"summary": "<string>",
"description": "<string>",
"apis": [
"<string>"
],
"created_by": "<string>",
"icon": "<string>",
"instructions": "<string>",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"appstore": [],
"categories": [
"Other"
],
"keywords": [
"<string>"
],
"partner_url": "<string>",
"config": {
"gpt_type": "private",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"is_installed": false
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gpt Create
Endpoint to create a new GPT instance using a provided payload of GPT metadata and configuration.
Args: payload (GPT): The GPT configuration payload including name, description, APIs, category, and more.
Returns: GPT: The newly created GPT instance.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
The index name of the custom GPT model.
The name of the custom GPT model.
A short liner about the GPT that will be present on the GPT store
A description of the custom GPT model.
List of API names accessible to the custom GPT through GPT actions.
The user who created the GPT.
Base64 string encoding of GPT icon.
Instructions for ChatGPT on how to operate the custom GPT model.
GPT url on it's installed appstore platform.
Show child attributes
Show child attributes
List of Gen AI appstores available to the custom GPT.
The type of GPT. private or public
Sales, Marketing, Product & R&D, HR, Operation, Finance, Support, Other Integration SEO related tags.
The partner's website URL
GPT configuration details.
Show child attributes
Show child attributes
Response
Successful Response
The index name of the custom GPT model.
The name of the custom GPT model.
A short liner about the GPT that will be present on the GPT store
A description of the custom GPT model.
List of API names accessible to the custom GPT through GPT actions.
The user who created the GPT.
Base64 string encoding of GPT icon.
Instructions for ChatGPT on how to operate the custom GPT model.
GPT url on it's installed appstore platform.
Show child attributes
Show child attributes
List of Gen AI appstores available to the custom GPT.
The type of GPT. private or public
Sales, Marketing, Product & R&D, HR, Operation, Finance, Support, Other Integration SEO related tags.
The partner's website URL
GPT configuration details.
Show child attributes
Show child attributes
